from django.contrib import admin
from portfolio_isotope.models import Category, Portfolio

class CategoriesAdmin(admin.ModelAdmin):
    list_display = ('name',)
    prepopulated_fields = {'slug': ('name',)}
    
class PortfolioAdmin(admin.ModelAdmin):
    list_display = ('title', 'date_added')
    list_filter = ('date_added', 'date_completed')
    search_fields = ('title', )
    prepopulated_fields = {'slug': ('title',)}

admin.site.register(Category, CategoriesAdmin)
admin.site.register(Portfolio, PortfolioAdmin)