from django.shortcuts import render_to_response, get_object_or_404


from portfolio_isotope.models import Category, Portfolio

def portfolio_list(request):
    items_list = Portfolio.objects.all()
    categories = Category.objects.all()
    return render_to_response('portfolio_isotope/list.html',
                              {'items_list': items_list,
                               'categories': categories })

def portfolio_detail(request, item_slug):
    item_detail = get_object_or_404(Portfolio, slug=item_slug)
    return render_to_response('portfolio_isotope/detail.html', 
                              { 'portfolio': item_detail })
    
